## org.biojava.bio.dp
Class TransitionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.biojava.bio.dp.ModelChangeEvent
                  |
                  +--org.biojava.bio.dp.TransitionEvent

public class TransitionEvent
extends ModelChangeEvent

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TransitionEvent(MarkovModel sourceModel, State start, State end)`
`TransitionEvent(MarkovModel sourceModel, State start, State end, double oldScore, double newScore)`

Method Summary
`State` `getEnd()`
`double` `getNewScore()`
`double` `getOldScore()`
`State` `getStart()`

Methods inherited from class org.biojava.bio.dp.ModelChangeEvent
`getSourceModel`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransitionEvent

    public TransitionEvent(MarkovModel sourceModel,
                           State start,
                           State end)

### TransitionEvent

    public TransitionEvent(MarkovModel sourceModel,
                           State start,
                           State end,
                           double oldScore,
                           double newScore)

Method Detail

### getStart

    public State getStart()

### getEnd

    public State getEnd()

### getOldScore

    public double getOldScore()

### getNewScore

    public double getNewScore()